Package org.apache.any23.vocab

## Class HEvent

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.HEvent

-     public class HEvent
      extends Vocabulary

  Vocabulary to map the h-event microformat.
  Author:
    Nisala Nirmana

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `attendee` |
    `org.eclipse.rdf4j.model.IRI` | `category` |
    `org.eclipse.rdf4j.model.IRI` | `description` |
    `org.eclipse.rdf4j.model.IRI` | `duration` |
    `org.eclipse.rdf4j.model.IRI` | `end` |
    `org.eclipse.rdf4j.model.IRI` | `event` |
    `org.eclipse.rdf4j.model.IRI` | `location` |
    `org.eclipse.rdf4j.model.IRI` | `name` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `start` |
    `org.eclipse.rdf4j.model.IRI` | `summary` |
    `org.eclipse.rdf4j.model.IRI` | `url` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HEvent` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### event

          public org.eclipse.rdf4j.model.IRI event

    - #### name

          public org.eclipse.rdf4j.model.IRI name

    - #### summary

          public org.eclipse.rdf4j.model.IRI summary

    - #### start

          public org.eclipse.rdf4j.model.IRI start

    - #### end

          public org.eclipse.rdf4j.model.IRI end

    - #### duration

          public org.eclipse.rdf4j.model.IRI duration

    - #### description

          public org.eclipse.rdf4j.model.IRI description

    - #### url

          public org.eclipse.rdf4j.model.IRI url

    - #### category

          public org.eclipse.rdf4j.model.IRI category

    - #### location

          public org.eclipse.rdf4j.model.IRI location

    - #### attendee

          public org.eclipse.rdf4j.model.IRI attendee

  - ### Method Detail

    - #### getInstance

          public static HEvent getInstance()